Package Details: dep-bin 0.5.4-2

Git Clone URL: https://aur.archlinux.org/dep-bin.git (read-only, click to copy)
Package Base: dep-bin
Description: Go dependency management tool
Upstream URL: https://github.com/golang/dep
Keywords: dep golang
Licenses: BSD
Conflicts: dep
Provides: dep
Submitter: subosito
Maintainer: moe_narrow (cwrau)
Last Packager: moe_narrow
Votes: 1
Popularity: 0.000000
First Submitted: 2018-01-25 09:57
Last Updated: 2019-10-25 16:57

Dependencies (0)

Required by (64)

Sources (2)

Latest Comments

cwrau commented on 2019-10-21 14:36

Doesn't build for me:

==> Starting package()...
install: cannot stat '../dep-linux-a*': No such file or directory
==> ERROR: A failure occurred in package().
    Aborting...
Error making: dep-bin

Works with this patch:

diff --git a/PKGBUILD b/PKGBUILD
index edbbfce..5961e50 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -11,8 +11,8 @@ url="https://github.com/golang/dep"
 license=('BSD')
 conflicts=('dep')
 provides=('dep')
-source=("LICENSE")
 #detect architecture & adjust source & checksums accordingly
+sha256sums=("SKIP")
 case "$CARCH" in
    arm*) _pkgarch="$pkgoption2"
        sha256sums+=('9dbf1612044598cbb195933213eb3c4bab5d4ada0ce5b90a91241c4431b1783a')
@@ -24,9 +24,9 @@ case "$CARCH" in
        sha256sums+=('40a78c13753f482208d3f4bea51244ca60a914341050c588dad1f00b1acc116c')
        ;;
 esac
-source=("${url}/releases/download/v${pkgver}/$_pkgarch")
+source=("LICENSE" "${url}/releases/download/v${pkgver}/$_pkgarch")

 package() {
-  install -Dm755 ../dep-linux-a* ${pkgdir}/usr/bin/dep
-  install -Dm644 ../LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
+  install -Dm755 dep-linux-a* ${pkgdir}/usr/bin/dep
+  install -Dm644 LICENSE ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE

You could replace the SKIP sha256sum of the LICENSE file with a correct one

RubenHoms commented on 2019-09-19 08:49

After the author reached out to me I managed to fix the faulty sha256sums by removing the yay cache. (located in ~/.cache/yay/dep-bin)

RubenHoms commented on 2019-09-18 08:02

Since the last change the package has a wrong sha256sum. While installing it returns with "Validating source files with sha256sums... dep-linux-amd64 ... FAILED" and then exits. Could you please fix this? Thanks for making this package! :)

larrabee commented on 2018-08-06 18:13

Hello. Latest version of the package have wrong sha256 sums. File: "dep-linux-amd64" Due to this issue its cannot be installed with yay. Can you fix it? Thank you.